<?php

function db_connect($errorHandling = "die") {
	if ($errorHandling == "die") {
		$dbcnx = mysql_connect(DB_SERVER, DB_USER, DB_PASSWORD)
			or die ("FEHLER: Verbindung zum Datenbankserver derzeit nicht m&ouml;glich!");

		mysql_select_db(DB_NAME, $dbcnx)
			or die ("FEHLER: Verbindung zur Datenbank derzeit nicht m&ouml;glich!");
		
		return $dbcnx;
	} else {
		if ($dbcnx = mysql_connect(DB_SERVER, DB_USER, DB_PASSWORD)) {
			if (mysql_select_db(DB_NAME, $dbcnx)) {
				return $dbcnx;
			} else {
				return False;
			}
		} else {
			return False;
		}
	}
}

function db_query($query, $dbcnx) {
  $result = mysql_query($query,$dbcnx);
  if (!$result) {
    if(PROJ_DEBUGMODE){
      $message  = "<b>Invalid query:</b><br>" . mysql_error() . "<br><br>";
      $message .= "<b>Whole query:</b><br>" . $query . "<br><br>";
      die($message);
    }
  }
  return $result;
}

function db_close($dbcnx) {
	mysql_close($dbcnx);
}

?>